Skip to main content

Family

A family record as returned by GET /family/{familyId} (Family::toArray()). Keys use the Propel PHP names. ScanCheck, ScanCredit and Envelope are only returned to users with the Finance role.

Idinteger
Example: 7
Namestring
Example: Doe
Address1stringnullable
Address2stringnullable
Citystringnullable
Statestringnullable
Zipstringnullable
Countrystringnullable
SecondAddress1stringnullable
SecondAddress2stringnullable
SecondCitystringnullable
SecondStatestringnullable
SecondZipstringnullable
SecondCountrystringnullable
SecondIsMailingboolean
HomePhonestringnullable
Emailstringnullable
Weddingdatestring<date>nullable
DateEnteredstring<date-time>nullable
DateLastEditedstring<date-time>nullable
EnteredByintegernullable
EditedByintegernullable
ScanCheckstringnullable

Finance role only

ScanCreditstringnullable

Finance role only

SendNewsletterstringnullable
DateDeactivatedstring<date>nullable

Empty/null for an active family

Latitudenumber<double>nullable
Longitudenumber<double>nullable
Envelopeintegernullable

Finance role only

NeedsReviewboolean
Addressstring

Primary address, one line

FamilyStringstring

Display string for the family

HasSecondAddressboolean
SecondAddressIsMailingboolean
SecondAddressstring

Second address, one line

MailingAddressLinesstring

Resolved mailing address, one line

MailingAddress object

Resolved mailing address parts

Address1string
Address2string
Citystring
Statestring
Zipstring
Countrystring
Family
{
"Id": 7,
"Name": "Doe",
"Address1": "string",
"Address2": "string",
"City": "string",
"State": "string",
"Zip": "string",
"Country": "string",
"SecondAddress1": "string",
"SecondAddress2": "string",
"SecondCity": "string",
"SecondState": "string",
"SecondZip": "string",
"SecondCountry": "string",
"SecondIsMailing": true,
"HomePhone": "string",
"Email": "string",
"Weddingdate": "2024-07-29",
"DateEntered": "2024-07-29T15:51:28.071Z",
"DateLastEdited": "2024-07-29T15:51:28.071Z",
"EnteredBy": 0,
"EditedBy": 0,
"ScanCheck": "string",
"ScanCredit": "string",
"SendNewsletter": "string",
"DateDeactivated": "2024-07-29",
"Latitude": 0,
"Longitude": 0,
"Envelope": 0,
"NeedsReview": true,
"Address": "string",
"FamilyString": "string",
"HasSecondAddress": true,
"SecondAddressIsMailing": true,
"SecondAddress": "string",
"MailingAddressLines": "string",
"MailingAddress": {
"Address1": "string",
"Address2": "string",
"City": "string",
"State": "string",
"Zip": "string",
"Country": "string"
}
}

Can't find what you need? Ask in Discord, or open an issue on the ChurchCRM repository.